<?php
class Diagnosticos extends CI_Controller
{
	protected $_fechaActual;
	protected $_iduser;
	protected $_csstyle;
    protected $_tables;
    protected $_role;

	function __construct()
	{
		parent::__construct();

		if( ! $this->redux_auth->logged_in() )
		{
 			redirect(base_url().'login');
 		}
		
		$datestring   = "%Y-%m-%d %H:%i:%s";
		$this->_fechaActual = mdate($datestring,now());
		$this->_iduser = $this->session->userdata('id');
		$this->_role = $this->session->userdata('role');
		$this->config->load('datatables', TRUE);
		$this->_tables = $this->config->item('datatables');
		$this->config->load('style', TRUE);
		$this->_csstyle = $this->config->item('style');
        $this->config->load('js',TRUE);
        $this->_jss=$this->config->item('js');

        $this->load->model("modelousuario","modelousuario");
        $this->load->model("modeloclientes","clientes");
		$this->load->model("modelo_configuracion","configuracion");
		$this->load->model("inventarioproductos_modelo","inventario");
        $this->load->model("diagnosticos_modelo","diagnosticos");
		
		if($this->session->userdata('matriz')=='1')
		{
			redirect('reportes/lista','refresh');
		}
	}

	public function index($idCliente=0)
	{
		$Data['title']			="Panel de Administración";
		$Data['cassadmin']		=$this->_csstyle["cassadmin"];
		$Data['csmenu']			=$this->_csstyle["csmenu"];
		$Data['csvalidate']		=$this->_csstyle["csvalidate"];
		$Data['csui']			=$this->_csstyle["csui"];
		$Data['nameusuario']	=$this->modelousuario->getUsuarios($this->_iduser);
		$Data['Fecha_actual']	=$this->_fechaActual;
		$Data['Jry']			=$this->_jss['jquery'];
		$Data['Jquical']		=$this->_jss['jquerycal'];
		$Data['Jqui']			=$this->_jss['jqueryui'];   
		$Data['permisos']		=$this->configuracion->obtenerRolPermisos($this->session->userdata('rol'));
		$Data['menuActivo']		='clientes';   
		
		$this->load->view("cabezera",$Data);
		$this->load->view('header',$Data);
		$this->load->view("principal",$Data);
		
		#----------------------------------PERMISOS------------------------------------#

		$data['permiso']=$this->configuracion->obtenerPermisosId('1',$this->session->userdata('rol'));
		
		if($data['permiso']->leer=='0' and $data['permiso']->escribir=='0')
		{
			$this->load->view('accesos/index');
			$this->load->view("pie",$Data);
			
			return;
		}

		$data['idRol']					= $this->_role;
		$data['cliente']				= $this->clientes->obtenerCliente($idCliente);

		$this->load->view("diagnosticos/index",$data);
		$this->load->view("pie",$Data);
	}

	public function obtenerRegistros($limite=0)
	{
		$criterio				= $this->input->post('criterio');
		$idCliente				= $this->input->post('idCliente');
		#----------------------------------PERMISOS------------------------------------#

		$data['permiso']		= $this->configuracion->obtenerPermisosId('1',$this->session->userdata('rol'));

		if($data['permiso']->leer=='0' and $data['permiso']->escribir=='0')
		{
			$this->load->view('accesos/index');

			return;
		}

		#----------------------------------PAGINACION------------------------------------#
		$Pag["base_url"]	    = base_url()."diagnosticos/obtenerRegistros/";
		$Pag["total_rows"]	    = $this->diagnosticos->contarRegistros($criterio,$idCliente);
		$Pag["per_page"]	    = 30;
		$Pag["num_links"]	    = 5;

		$this->pagination->initialize($Pag);
		#---------------------------------------------------------------------------------#

		$data['registros']		= $this->diagnosticos->obtenerRegistros($Pag["per_page"],$limite,$criterio,$idCliente);
		$data['limite']			= $limite+1;

        $this->load->view('diagnosticos/obtenerRegistros',$data);
	}
	

	public function formularioRegistro()
	{
		$data['folio']				= $this->diagnosticos->obtenerFolio();
			
		$this->load->view('diagnosticos/formularioRegistro',$data);
	}
	
	public function registrarFormulario()
	{
		if(!empty($_POST))
		{
			echo json_encode($this->diagnosticos->registrarFormulario());
		}
		else
		{
			echo json_encode(array("0"));
		}
	}

    
    public function formularioEditar()
	{
        $data['registro']				= $this->diagnosticos->obtenerRegistro($this->input->post('idDiagnostico'));
		$data['cliente']				= $this->clientes->obtenerCliente($data['registro']->idCliente);

        $this->load->view("diagnosticos/formularioEditar",$data);
	}
    
    public function editarFormulario()
	{
		if(!empty ($_POST))
		{
			echo json_encode($this->diagnosticos->editarFormulario());
		}
		else
		{
			echo json_encode(array("0",errorRegistro));
		}
	}
    
    public function borrarRegistro()
	{
		if (!empty($_POST))
		{
			
			echo json_encode($this->diagnosticos->borrarRegistro($this->input->post('idDiagnostico')));
		}
		else
		{
			echo json_encode(array("0",errorBorrado));
		}
	}

	public function obtenerCatalogo()
	{
        $data['registros']				= $this->diagnosticos->obtenerRegistros(0,0,'',$this->input->post('idCliente'));

        $this->load->view("diagnosticos/obtenerCatalogo",$data);
	}

	public function obtenerDiagnostico()
	{
		if (!empty($_POST))
		{
			
			echo json_encode($this->diagnosticos->obtenerRegistro($this->input->post('idDiagnostico')));
		}
		else
		{
			echo json_encode(array("idDiagnostico"=>0));
		}

	}
}
?>
